Disable Marketplace App
curl --request DELETE \
--url https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope} \
--header 'Authorization: Bearer <token>'import requests
url = "https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"tagline": "<string>",
"description": "<string>",
"iconUrl": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"enabled": {
"user": true,
"org": true
}
}{
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}Embedded Apps
Disable Marketplace App
Turns the app off for the viewer (user) or, with embed:enable_org and embed.org, for their org (org), and answers the app as the viewer now sees it. Turning off an app already off changes nothing. A scope the marketplace stopped allowing can still be turned off.
Takes the marketplace owner’s user JWT for the viewer, with embed:enable in its rollout.com scopes, expiring within an hour.
DELETE
/
embedded-apps
/
marketplaces
/
{marketplaceId}
/
apps
/
{appId}
/
enablements
/
{scope}
Disable Marketplace App
curl --request DELETE \
--url https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope} \
--header 'Authorization: Bearer <token>'import requests
url = "https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://universal.rollout.com/api/embedded-apps/marketplaces/{marketplaceId}/apps/{appId}/enablements/{scope}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"tagline": "<string>",
"description": "<string>",
"iconUrl": "<string>",
"supportUrl": "<string>",
"privacyPolicyUrl": "<string>",
"enabled": {
"user": true,
"org": true
}
}{
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}Path Parameters
Response
Response for status 200